kitten-ask(1)

Name
kitten-ask - Ask the user for input

Usage
kitten ask

Description
Ask the user for input

Options

--type, -t [=line]
    Type of input. Defaults to asking for a line of text. Choices: line, choices, password, yesno

--message, -m
    The message to display to the user. If not specified a default message is shown.

--name, -n
    The name for this question. Used to store history of previous answers which can be used for completions and via the browse history readline bindings.

--title, --window-title
    The title for the window in which the question is displayed. Only implemented for yesno and choices types.

--choice, -c
    A choice for the choices type. Can be specified multiple times. Every choice has the syntax: ``letter[;color]:text``, where text is the choice text and letter is the selection key. letter is a single letter belonging to text. This letter is highlighted within the choice text. There can be an optional color specification after the letter to indicate what color it should be. For example: y:Yes and n;red:No

--default, -d
    A default choice or text. If unspecified, it is y for the type yesno, the first choice for choices and empty for others types. The default choice is selected when the user presses the Enter key.

--prompt, -p [="> "]
    The prompt to use when inputting a line of text or a password.

--unhide-key [=u]
    The key to be pressed to unhide hidden text

--hidden-text-placeholder
    The text in the message to be replaced by hidden text. The hidden text is read via STDIN.

--help, -h
    Show help for this command